Safe Haskell | Safe

GADTRecords

Synopsis

- data H1 a b where
  - C1 :: H1 a b
  - C2 :: Ord a => [a] -> H1 a a
  - C3 :: {
    - field :: Int
    } -> H1 Int Int
  - C4 :: {
    - field2 :: a
    } -> H1 Int a

# Documentation

data H1 a b where

h1

Constructors

C1 :: H1 a b |
C2 :: Ord a => [a] -> H1 a a |
C3 :: Int -> H1 Int Int |

Fields

field :: Int

  hello docs

C4 :: a -> H1 Int a |

Fields

field2 :: a

  hello2 docs